﻿topicarray["505532cc452c9240832924ac2ff8c5f5"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eFunction overview of SIMATIC Safe Kinematics\u003c/div\u003e\u003cdiv class=\"prolog-container\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eSIMATIC Safe Kinematics\u003c/span\u003e\u003cspan\u003e provides you with predefined kinematics types monitoring functions for safe velocity monitoring and safe zone monitoring. For this purpose, the library contains kinematics-specific F‑blocks for monitoring (F‑FB) that you use to control the monitoring functions. You integrate an F‑block for monitoring into the safety program (F‑program). In the safety program with \u003c/span\u003e\u003cspan\u003eSTEP 7 Safety Advanced\u003c/span\u003e\u003cspan\u003e you program the user-defined, fail-safe reactions.\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003e\u003c/span\u003e\u003cspan class=\"index-subentry-item\"\u003eFunction overview\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"warning\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cimg class=\"headerImg\" style=\"display:table-cell;margin-right:14px;width:25px;\" src=\"images/warning/warningSymbol.ANSI.black.png\" /\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003eWarning\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eNo automatic reaction of the kinematics\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe monitoring functions do not trigger an automatic reaction when a velocity is exceeded or a zone is violated.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eProgram the fail-safe reaction to the signals of the monitoring functions, e.g. a safe stop reaction, in the safety program.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eTogether with an F‑block for monitoring, a kinematics-specific F‑data block (F‑DB) is created in which you configure the kinematics and the monitoring functions. A tabular editor is available in the TIA Portal for configuration of the parameters.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIn addition to the F‑blocks for monitoring (F‑FB), the library contains kinematics-specific blocks for diagnostics (FB) that you use to evaluate the kinematics monitoring. You integrate a block for diagnostics into the standard user program. You can also program additional instructions for controlling the kinematics in the standard user program.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe user program with the safety program is executed by an S7‑1500TF CPU. Fail-safe communication with the drives takes place over \u003c/span\u003e\u003cspan\u003ePROFINET\u003c/span\u003e\u003cspan\u003e via \u003c/span\u003e\u003cspan\u003ePROFIsafe\u003c/span\u003e\u003cspan\u003e.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe graphic below shows the basic principle of operation using a two-dimensional Cartesian portal as an example:\u003c/span\u003e\u003c/div\u003e\u003cspan class=\"img_free inserted-object has-no-image-title has-no-image-legend\"\u003e\u003cdiv style=\"margin-bottom:-4px;line-height:12.5pt;\"\u003e​\u003c/div\u003e\u003cimg src=\"images/114685769099_DV_resource.Stream@PNG-en-US.png\" docVersionId=\"118395287435\" language=\"en-US\" class=\"img_free\" id=\"118395287435_505532cc452c9240832924ac2ff8c5f5_114685769099_DV_resource\" width=\"541\" /\u003e\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}